[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# DecodeStringBase64

Decodes a Base64 encoded string and returns the decoded data as a string.

## Declaration

Source position: base64.pp line 91

`function DecodeStringBase64(`
`const s: String`
`):String;`

## Arguments

`s` |  | The base64 encoded string to decode

## Function result

The base64 decoded version of S

## Description

DecodeStringBase64 decodes the string s (containing Base 64 encoded data) returns the decoded data as a string. It uses a TBase64DecodingStream to do this.

## See also

DecodeStringBase64 |  | Decodes a Base64 encoded string and returns the decoded data as a string.
TBase64DecodingStream |  | Base64 Decoding stream

The latest version of this document can be found at lazarus-ccr.sourceforge.net.